Subject: Re: bug#59293: 28.1.90; Erroneous footnote link in Org info manual
From: Eli Zaretskii <[email-masked]>
To: Ihor Radchenko <[email-masked]>
Cc: [email-masked]
Date: Thu, 17 Nov 2022 09:11:40 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

> From: Ihor Radchenko <[email-masked]>
> Cc: [email-masked]
> Date: Thu, 17 Nov 2022 05:45:16 +0000
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> > It's a bug in info.el: it fontifies the footnote references, but the
> > detection of footnote cannot distinguish between "(1)" that is a
> > reference to a footnote and "(1)" that just stands for itself.
> 
> Thanks for clarification. Is it something known but difficult to fix?

AFAIU the code, it detects footnote references by looking for [0-9]+
in parentheses, then fontifies those of the references whose numbers
are smaller than the number of footnotes actually present in the node.
So, for example, if a node has 5 footnotes, "(6)" will not be
fontified, but each occurrence of "(4)" will be fontified.

The comment there says:

              ;; Don't fontify parenthesized numbers that cannot
              ;; possibly be one of this node's footnotes.  This still
              ;; doesn't catch unrelated numbers that happen to be
              ;; small enough, but in that case they should use
              ;; "@footnotestyle separate" in the Texinfo sources.

> > My suggestion is to modify the example in the manual to avoid the
> > false match, for example use "runif(3)" if possible.  Alternatively,
> > remove the real footnotes and make them notes in parentheses.  Or
> > just live with the problem...
> 
> I went with runif(+1).
> https://git.savannah.gnu.org/cgit/emacs/org-mode.git/commit/?id=79c64d8c3ac66e13a333a4cbc8ba15e242bc01fb

That's a good solution, thanks.

So I'm closing this bug report.